﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             BackgroundColor="White"
             x:Class="COMPP.Views.HomePage">
    <ContentPage.Content>
        <Grid>
            <Image Source="home_background.png" Aspect="Fill" Margin="0,0,0,0"/>
            <StackLayout>
                <StackLayout Orientation="Horizontal" Margin="0,40,0,0">
                    <ImageButton Source="{Binding Picture}" Aspect="AspectFill" CornerRadius="60" HeightRequest="80" WidthRequest="80" BackgroundColor="Transparent" HorizontalOptions="Start"
                    VerticalOptions="Center" Margin="20,0,20,0" Command="{Binding ProfileCommand}" />
                    <StackLayout Spacing="0" Margin="0,14,0,0" VerticalOptions="Center" HorizontalOptions="Start">
                        <Label Text="Hello," TextColor="Black" FontSize="14" Margin="0,0,0,0" />
                        <Label Text="{Binding FullName}" TextColor="Black" FontSize="20" Margin="0,0,0,0" />
                    </StackLayout>
                    <StackLayout x:Name="SettingIconButton" Margin="0,10,50,0" Orientation="Vertical" HeightRequest="60" Spacing="-10" HorizontalOptions="EndAndExpand">
                        <StackLayout.GestureRecognizers>
                            <TapGestureRecognizer
                                    Command="{Binding SettingCommand}" />
                        </StackLayout.GestureRecognizers>
                        <Image Source="gear.png" HorizontalOptions="Center" VerticalOptions="CenterAndExpand" HeightRequest="24" Margin="0,0,0,0" >
                            <Image.GestureRecognizers>
                                <TapGestureRecognizer
                                    Command="{Binding SettingCommand}" />
                            </Image.GestureRecognizers>
                        </Image>
                        <Label Text="Setting" HorizontalOptions="Center" VerticalOptions="CenterAndExpand" FontSize="14" TextColor="#2A7F85" >
                            <Label.GestureRecognizers>
                                <TapGestureRecognizer
                                    Command="{Binding SettingCommand}" />
                            </Label.GestureRecognizers>
                        </Label>
                    </StackLayout>
                </StackLayout>

                <RelativeLayout>
                    <Frame x:Name="SearchBarFrame" Padding="0" Margin="40, 100, 40, 0" BackgroundColor="White" HasShadow="False" CornerRadius="30">
                        <SearchBar x:Name="searchBar"
                            SearchCommand="{Binding SearchCommand}" Placeholder="Find people"
                                   SearchCommandParameter="{Binding Text, Source={x:Reference searchBar}}"
                                   PlaceholderColor="#47B2BA"
                                   TextColor="Black"
                                   HorizontalTextAlignment="Center"
                                   HorizontalOptions="Center"
                                   FontSize="Medium"
                                   BackgroundColor="Transparent"
                                   />
                    </Frame>
                    <Image RelativeLayout.YConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=Y, Constant=115 }" RelativeLayout.XConstraint="{ConstraintExpression Type=RelativeToParent, Property=Width, Factor=0.1 }" Source="home_decoration.png" HeightRequest="275" />
                    <Image Source="home_decoration1" RelativeLayout.YConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=Y, Constant=-75 }" RelativeLayout.XConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=X, Constant=20 }"  HeightRequest="45"/>
                    <Image Source="home_decoration2" RelativeLayout.YConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=Y, Constant=-60 }" RelativeLayout.XConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=X, Constant=250 }"  HeightRequest="60"/>
                    <Image Source="home_decoration3" RelativeLayout.YConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=Y, Constant=48 }" RelativeLayout.XConstraint="{ConstraintExpression Type=RelativeToView, ElementName=SearchBarFrame, Property=X, Constant=10 }"  HeightRequest="60"/>
                    <ActivityIndicator 
                        IsRunning="{Binding IsLoading}"
                        RelativeLayout.XConstraint=
                        "{ConstraintExpression 
                        Type=RelativeToParent,
                        Property=Width, 
                        Factor=0.5,
                        Constant=-25
                        }"
                        RelativeLayout.YConstraint=
                        "{ConstraintExpression 
                        Type=RelativeToParent,
                        Property=Height,
                        Factor=0.5,
                        Constant=-25}"
                        Color="#82B9BC"  
                        BackgroundColor="Transparent"/>
                </RelativeLayout>
            </StackLayout>
        </Grid>
    </ContentPage.Content>
</ContentPage>